NX Open C++ Reference Guide
|
Represents a collection of Routing::ControlPoint objects. More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Types | |
enum | CheckExisting { CheckExistingDontSearch, CheckExistingSearch } |
Option for searching for an existing Routing::ControlPoint when attempting to create an new Routing::ControlPoint . More... | |
enum | FoundExisting { FoundExistingBrandNew, FoundExistingExisting } |
Whether Routing::ControlPoint returned from the creator methods was an existing Routing::ControlPoint or a new Routing::ControlPoint . More... | |
Represents a collection of Routing::ControlPoint objects.
To obtain an instance of this class, refer to Routing::RouteManager
Created in NX4.0.0.
Option for searching for an existing Routing::ControlPoint when attempting to create an new Routing::ControlPoint .
Whether Routing::ControlPoint returned from the creator methods was an existing Routing::ControlPoint or a new Routing::ControlPoint .
iterator NXOpen::Routing::ControlPointCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint | ( | const NXOpen::Point3d & | position, |
NXOpen::Routing::ControlPointCollection::CheckExisting | checkExisting, | ||
NXOpen::Routing::ControlPointCollection::FoundExisting * | foundExisting | ||
) |
Creates a dumb Routing::ControlPoint object.
The Routing::ControlPoint 's position is not associative to any other object.
position | ABS coordinates |
checkExisting | Return an existing Routing::ControlPoint object if one exists at the same location as the position. |
foundExisting | Returned Routing::ControlPoint is an existing control point. |
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint | ( | NXOpen::Routing::Port * | port, |
NXOpen::Routing::ControlPointCollection::CheckExisting | checkExisting, | ||
NXOpen::Routing::ControlPointCollection::FoundExisting * | foundExisting | ||
) |
Creates a smart Routing::ControlPoint object.
The Routing::ControlPoint 's position is associative to the input Routing::Port .
port | port |
checkExisting | Return an existing Routing::ControlPoint object if one exists at the same location as the position. |
foundExisting | Returned Routing::ControlPoint is an existing control point. |
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint | ( | NXOpen::TaggedObject * | object, |
double | objectParm, | ||
NXOpen::Routing::ControlPointCollection::CheckExisting | checkExisting, | ||
NXOpen::Routing::ControlPointCollection::FoundExisting * | foundExisting | ||
) |
Creates a Routing::ControlPoint at the given object and normalized parameter.
Supports curves [includes segments], ports and circular edges. @return
Created in NX5.0.0.
License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
object | object |
objectParm | object parm |
checkExisting | Return an existing Routing::ControlPoint object if one exists at the same location as the position. |
foundExisting | Returned Routing::ControlPoint is an existing control point. |
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint | ( | NXOpen::Point * | point, |
NXOpen::Routing::ControlPointCollection::CheckExisting | checkExisting, | ||
NXOpen::Routing::ControlPointCollection::FoundExisting * | foundExisting | ||
) |
Creates a smart Routing::ControlPoint object.
The Routing::ControlPoint 's position is associative to the input Point .
point | point |
checkExisting | Return an existing Routing::ControlPoint object if one exists at the same location as the position. |
foundExisting | Returned Routing::ControlPoint is an existing control point. |
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint | ( | NXOpen::IBaseCurve * | conic, |
NXOpen::Routing::ControlPointCollection::CheckExisting | checkExisting, | ||
NXOpen::Routing::ControlPointCollection::FoundExisting * | foundExisting | ||
) |
Creates a smart Routing::ControlPoint object.
The Routing::ControlPoint 's position is associative to a Point that is defined at the center of a IBaseCurve object.
conic | conic |
checkExisting | Return an existing Routing::ControlPoint object if one exists at the same location as the position. |
foundExisting | Returned Routing::ControlPoint is an existing control point. |
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint | ( | NXOpen::Routing::IRoutePosition * | startObject, |
const NXOpen::Vector3d & | offset, | ||
NXOpen::Routing::ControlPointCollection::CheckExisting | checkExisting, | ||
NXOpen::Routing::ControlPointCollection::FoundExisting * | foundExisting | ||
) |
Creates a dumb Routing::ControlPoint object.
The Routing::ControlPoint 's position is not associative to any other object. The position of the object is located at the XC, YC, ZC offset (using the work coordinate system) from the input Routing::IRoutePosition object.
startObject | Starting position. |
offset | Offset values. |
checkExisting | Return an existing Routing::ControlPoint object if one exists at the same location as the position. |
foundExisting | Returned Routing::ControlPoint is an existing control point. |
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint | ( | NXOpen::Routing::ControlPoint * | cpOcc, |
NXOpen::Routing::ControlPointCollection::CheckExisting | checkExisting, | ||
NXOpen::Routing::ControlPointCollection::FoundExisting * | foundExisting | ||
) |
Creates a smart Routing::ControlPoint object.
The Routing::ControlPoint 's position is smart point that is associative to a Point that is associative to a Routing::ControlPoint occurrence.
cpOcc | Occurrence of a Routing::ControlPoint object. |
checkExisting | Return an existing Routing::ControlPoint object if one exists at the same location as the position. |
foundExisting | Returned Routing::ControlPoint is an existing control point. |
iterator NXOpen::Routing::ControlPointCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::FindControlPoint | ( | const NXOpen::Point3d & | position, |
double | tolerance | ||
) |
Finds an existing Routing::ControlPoint at the given ABS coordinates within the given tolerance.
position | ABS coordinates |
tolerance | Distance tolerance, smallest useful tolerance is returned from Routing::RouteManager::GetLengthTolerance . |
tag_t NXOpen::Routing::ControlPointCollection::Tag | ( | ) | const |
Returns the tag of this object.